Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgroups.demos
Class DrawRepl

    java.lang.Object
      org.jgroups.demos.DrawRepl

All Implemented Interfaces:
  java.awt.event.ActionListener, java.awt.event.MouseMotionListener, java.awt.event.WindowListener, java.lang.Runnable, java.util.EventListener

    public class DrawRepl

extends java.lang.Object
implements java.awt.event.MouseMotionListener, java.awt.event.WindowListener, java.awt.event.ActionListener, java.lang.Runnable

Replicates the whiteboard demo by intercepting central AWT event queue and mcasting events to all members. Not very useful in all cases, e.g. when the "Leave" button is pressed, and this event is broadcast to all members, all members will leave ! This demo would clearly benefit from more work ! NOT SUPPORTED !

Constructor Summary
`DrawRepl()`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`void` | `clearPanel()`
`java.awt.Component` | `findComponent(java.awt.Container parent, java.lang.String comp_name)`
`void` | `go()`
`static void` | `main(java.lang.String[] args)`
`void` | `mouseDragged(java.awt.event.MouseEvent e)`
`void` | `mouseMoved(java.awt.event.MouseEvent e)`
`void` | `processEvent(java.lang.String comp_name, java.awt.AWTEvent evt)`
`void` | `run()`
`void` | `windowActivated(java.awt.event.WindowEvent e)`
`void` | `windowClosed(java.awt.event.WindowEvent e)`
`void` | `windowClosing(java.awt.event.WindowEvent e)`
`void` | `windowDeactivated(java.awt.event.WindowEvent e)`
`void` | `windowDeiconified(java.awt.event.WindowEvent e)`
`void` | `windowIconified(java.awt.event.WindowEvent e)`
`void` | `windowOpened(java.awt.event.WindowEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DrawRepl

    public DrawRepl()

Method Detail

### main

    public static void main(java.lang.String[] args)

### findComponent

    public java.awt.Component findComponent(java.awt.Container parent,
                                            java.lang.String comp_name)

### processEvent

    public void processEvent(java.lang.String comp_name,
                             java.awt.AWTEvent evt)

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### go

    public void go()

### mouseMoved

    public void mouseMoved(java.awt.event.MouseEvent e)

  Specified by:
    `mouseMoved` in interface `java.awt.event.MouseMotionListener`

### mouseDragged

    public void mouseDragged(java.awt.event.MouseEvent e)

  Specified by:
    `mouseDragged` in interface `java.awt.event.MouseMotionListener`

### clearPanel

    public void clearPanel()

### windowActivated

    public void windowActivated(java.awt.event.WindowEvent e)

  Specified by:
    `windowActivated` in interface `java.awt.event.WindowListener`

### windowClosed

    public void windowClosed(java.awt.event.WindowEvent e)

  Specified by:
    `windowClosed` in interface `java.awt.event.WindowListener`

### windowClosing

    public void windowClosing(java.awt.event.WindowEvent e)

  Specified by:
    `windowClosing` in interface `java.awt.event.WindowListener`

### windowDeactivated

    public void windowDeactivated(java.awt.event.WindowEvent e)

  Specified by:
    `windowDeactivated` in interface `java.awt.event.WindowListener`

### windowDeiconified

    public void windowDeiconified(java.awt.event.WindowEvent e)

  Specified by:
    `windowDeiconified` in interface `java.awt.event.WindowListener`

### windowIconified

    public void windowIconified(java.awt.event.WindowEvent e)

  Specified by:
    `windowIconified` in interface `java.awt.event.WindowListener`

### windowOpened

    public void windowOpened(java.awt.event.WindowEvent e)

  Specified by:
    `windowOpened` in interface `java.awt.event.WindowListener`

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.